=== debian/changelog ===
fossil (1:2.20-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 16 Nov 2022 19:22:02 +0000
