=== debian/control ===
Source: fossil
Section: vcs
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               bash-completion,
               libfuse-dev,
               libreadline-dev,
	       pkg-config,
               libssl-dev,
               tcl | tclsh,
               tcl-dev,
               zlib1g-dev | libz-dev
Rules-Requires-Root: no
Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
Homepage: https://fossil-scm.org

Package: fossil
Architecture: any
Multi-Arch: foreign
Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
Suggests: gnupg | gnupg2
Description: DSCM with built-in wiki, http interface and server, tickets database
 Fossil is an easy-to-use Distributed Source Control Management system
 (DSCM) which supports access and administration over HTTP CGI or via
 a built-in HTTP server, has a built-in wiki, built-in file browsing,
 a built-in tickets system, etc.
