## fossil 2.21

=== debian/changelog ===
fossil (1:2.21-1+deb12u1) bookworm; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Fix issue in the fossil HTTP client, related to the fix for
    CVE-2024-24795/apache2, preventing it from cloning from a fixed
    Apache2 server (which now strips the Content-Length response header
    issued by the fossil CGI server). (Closes: #1070069)

 -- Sylvain Beucler <beuc@debian.org>  Sun, 04 May 2025 11:12:18 +0200

fossil (1:2.21-1) unstable; urgency=medium

  * Add upstream/metadata
  * New upstream version
  * Bump policy
  * Use external sqlite3 and hope for the best regarding the JSON1 issue

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 26 Feb 2023 18:58:27 +0000
