## fossil 2.22

=== debian/changelog ===
fossil (1:2.22-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY REGRESSION: break due to apache2 security update (LP: #2064509)
    - debian/patches/missing-content-length-fix-*.patch: Update HTTP reply
      parser to deal with a missing Content-Length header.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 08 May 2024 14:46:57 +0300

fossil (1:2.22-1) unstable; urgency=medium

  * New upstream version
  * Update debian/README.Debian
  * The TLS hostname verification issue was fixed long ago (closes: 991271)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 01 Jun 2023 10:13:07 +0100
