## fossil 2.23

=== debian/changelog ===
fossil (1:2.23-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY REGRESSION: break due to apache2 security update (LP: #2064509)
    - debian/patches/missing-content-length-fix-*.patch: Update HTTP reply
      parser to deal with a missing Content-Length header.

 -- Ian Constantin <ian.constantin@canonical.com>  Wed, 08 May 2024 14:48:59 +0300

fossil (1:2.23-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:53:03 +1100

fossil (1:2.23-1build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 17:55:04 +0000

fossil (1:2.23-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 01 Nov 2023 21:49:52 +0000

fossil (1:2.22-2) unstable; urgency=medium

  * update autosetup/autosetup-config.{guess,sub} in build (closes: #1051443)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 Sep 2023 14:14:53 +0100
