=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libsqlite3-dev (>= 3.38.0),
