## fossil 2.24

=== debian/changelog ===
fossil (1:2.24-6) unstable; urgency=medium

  * Add "Breaks: apache2-bin (<< 2.4.59-1~)" per #1070069 discussion.

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Apr 2024 15:32:05 +0100

fossil (1:2.24-5) unstable; urgency=medium

  * Cherry-pick fix f4ffefe708793b03 for CVE-2024-24795 and add
    "Breaks: apache2 (<< 2.4.59-1~)" to stage fix; see
    https://bz.apache.org/bugzilla/show_bug.cgi?id=68905
    (closes: #1070069)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 29 Apr 2024 21:11:22 +0100

fossil (1:2.24-4) unstable; urgency=medium

  * fossil merge branch-2.24, commit fb4e90b662803e47, to fix another
    build failure due to bit rot in the test suite

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Apr 2024 15:01:20 +0100

fossil (1:2.24-3) unstable; urgency=medium

  * fossil merge branch-2.24, commit 5ad708085a90365f, to fix a build
    failure due to bit rot in the test suite

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Apr 2024 09:23:21 +0100

fossil (1:2.24-2) unstable; urgency=medium

  * Oops, typo: pkgconf

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Apr 2024 16:51:24 +0100

fossil (1:2.24-1) unstable; urgency=medium

  * New upstream version
  * Bump policy
  * Build depend on pkgconfig instead of obsolete pkg-config

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Apr 2024 15:29:07 +0100
