=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: fossil
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.6.2
+Maintainer: Barak A. Pearlmutter <bap@debian.org>
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
                libsqlite3-dev (>= 3.38.0),
                bash-completion,
                libfuse-dev,
                libreadline-dev,
-	       pkg-config,
+	       pkgconf,
                libssl-dev,
                tcl | tclsh,
                tcl-dev,
@@ -22,6 +21,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
+Breaks: apache2 (<< 2.4.59-1~), apache2-bin (<< 2.4.59-1~)
 Suggests: gnupg | gnupg2
 Description: DSCM with built-in wiki, http interface and server, tickets database
  Fossil is an easy-to-use Distributed Source Control Management system
