## fossil 2.25

=== debian/changelog ===
fossil (1:2.25-4) unstable; urgency=medium

  * Patch upstream riscv64-recent-GCC-breaking (1<<31) print issue
  * Remove clang riscv64 hot-wiring

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Apr 2025 20:15:20 +0100

fossil (1:2.25-3) unstable; urgency=medium

  * Use clang on riskc64 to address (1<<31) bug with GCC on that platform
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 10 Apr 2025 01:00:15 +0100

fossil (1:2.25-2) unstable; urgency=medium

  * Recommend package with fuse executable in binary package

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 07 Apr 2025 18:29:23 +0100

fossil (1:2.25-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 26 Feb 2025 08:12:43 +0000
