## fossil 2.26

=== debian/changelog ===
fossil (1:2.26-2) unstable; urgency=medium

  * Alter comfiguration options per upstream recommendations, and adjust
    dependencies correspondingly.

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 16 May 2025 14:40:30 +0100

fossil (1:2.26-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 01 May 2025 14:44:53 +0100
