=== debian/control ===
--- 
+++ 
@@ -2,16 +2,14 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
-               libsqlite3-dev (>= 3.38.0),
+               libsqlite3-dev,
                bash-completion,
-               libfuse-dev,
+	       tcl | tclsh,
                libreadline-dev,
 	       pkgconf,
                libssl-dev,
-               tcl | tclsh,
-               tcl-dev,
                zlib1g-dev | libz-dev
 Rules-Requires-Root: no
 Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
@@ -20,7 +18,7 @@
 Package: fossil
 Architecture: any
 Multi-Arch: foreign
-Depends: libtcl8.6 | libtcl, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: apache2 (<< 2.4.59-1~), apache2-bin (<< 2.4.59-1~)
 Suggests: gnupg | gnupg2
 Description: DSCM with built-in wiki, http interface and server, tickets database
