=== debian/rules ===
--- 
+++ 
@@ -28,14 +28,21 @@
 # 	$(shell dpkg --status libsqlite3-dev | egrep '^Version: ' | cut --field=2 --delimiter=' ') \
 # 	ge $(SQLITE_MIN_VERSION)
 
+override_dh_autoreconf:
+	dh_autoreconf debian/rules -- update-config-guess-sub
+
+.PHONY: update-config-guess-sub
+update-config-guess-sub:
+	f=/usr/share/misc/; \
+	g=autosetup/autosetup-; \
+	for e in config.guess config.sub; do \
+	  cmp $$f$$e $$g$$e || cp --verbose $$f$$e $$g$$e; \
+	done
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-option-checking \
 			     $(FOSSIL_CONF_SQLITE_OPTIONS) \
-			     --json \
-			     --with-th1-docs --with-th1-hooks \
-			     --with-tcl=1 \
-			     --with-tcl-stubs \
-			     --with-tcl-private-stubs
+			     --disable-fusefs
 
 execute_after_dh_installdocs:
 	mv debian/fossil/usr/share/doc/fossil/changes.wiki \
