## fossil 2.27

=== src/Makefile ===
all clean:
	$(MAKE) -C .. $(MAKECMDGOALS)
