=== debian/changelog ===
fossil (1:2.27-2) unstable; urgency=medium

  * Remove ghost file removed in cherry-picked upstream commit

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 03 Oct 2025 20:38:25 +0100

fossil (1:2.27-1) unstable; urgency=medium

  * New upstream version
  * Remove now-unnecessary rules-requires-root:no line

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 30 Sep 2025 16:22:38 +0100
