=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 	       pkgconf,
                libssl-dev,
                zlib1g-dev | libz-dev
-Rules-Requires-Root: no
 Vcs-Fossil: https://people.debian.org/~bap/fossil.fsl
 Homepage: https://fossil-scm.org
