=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,10 @@
 	  cmp $$f$$e $$g$$e || cp --verbose $$f$$e $$g$$e; \
 	done
 
+execute_before_dh_auto_configure:
+	@echo "Removed in cherry-picked upstream patch, be sure it is gone."
+	-rm --force --verbose test/settings.test
+
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-option-checking \
 			     $(FOSSIL_CONF_SQLITE_OPTIONS) \
