=== debian/watch ===
version=4

# This gets the latest version, with the undesired files excluded.
# https://fossil-scm.org/home/tarball?ex=autosetup/jimsh0.c,compat/zlib/contrib/dotzlib/DotZLib.chm

https://fossil-scm.org/home/uv/latest-release.md \
 .*/@PACKAGE@-src-@ANY_VERSION@@ARCHIVE_EXT@
