## fossil 2010.08.05.100943

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,11 @@
 #    the following to point from the build directory to the src/ folder.
 #
 SRCDIR = ./src
+
+#### The directory into which object code files should be written.
+#
+#
+OBJDIR = ./obj
 
 #### C Compiler and options for use in building executables that
 #    will run on the platform that is doing the build.  This is used
@@ -28,6 +33,9 @@
 #TCC = gcc -g -O0 -Wall -fprofile-arcs -ftest-coverage
 TCC = gcc -g -Os -Wall
 
+# To add support for HTTPS
+TCC += -DFOSSIL_ENABLE_SSL
+
 #### Extra arguments for linking the finished binary.  Fossil needs
 #    to link against the Z-Lib compression library.  There are no
 #    other dependencies.  We sometimes add the -static option here
@@ -40,16 +48,14 @@
 # Solaris 10 needs:
 # LIB += -lsocket -lnsl
 # My assumption is that the Sol10 flags will work for Sol8/9 and possibly 11.
-
+# 
+# If using HTTPS:
+LIB += -lcrypto -lssl
 
 #### Tcl shell for use in running the fossil testsuite.
 #
 TCLSH = tclsh
 
-#### Include a configuration file that can override any one of these settings.
-#
--include config.mak
-
 # You should not need to change anything below this line
 ###############################################################################
 include $(SRCDIR)/main.mk
