=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: vcs
 Priority: optional
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
-Standards-Version: 3.8.4
-Build-depends: debhelper (>= 7.2.5), libsqlite3-dev (>= 3.6.17), tcl8.5 | tclsh, zlib1g-dev | libz-dev, libssl-dev
+Standards-Version: 3.9.1
+Build-depends: debhelper (>= 7.2.5), libsqlite3-dev (>= 3.7.0), tcl8.5 | tclsh, zlib1g-dev | libz-dev, libssl-dev
 Vcs-Browser: http://fossil-scm.org
 Homepage: http://fossil-scm.org
