=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

# override_dh_auto_build:
# 	@echo remove local copy of sqlite3 in case of deletion reversion
# 	-rm -f src/sqlite3.c src/sqlite3.h
# 	dh_auto_build

override_dh_auto_install:
